package router

import (
	"applet/app/ipad/hdl"
	"applet/app/ipad/mw"
	"github.com/gin-gonic/gin"
)

func IpadInit(r *gin.RouterGroup) {
	r.POST("/login", hdl.Login)
	r.Use(mw.Auth)                                //检测登录状态
	r.GET("order/cate", hdl.OrderCate)            //订单类目
	r.POST("order/list", hdl.Order)               //订单
	r.POST("order/state_list", hdl.StateOrder)    //订单
	r.GET("order/goods/cate", hdl.OrderGoodsCate) //订单商品类目
	r.POST("order/goods/list", hdl.OrderGoods)    //订单商品
	r.GET("responsible", hdl.Responsible)         //负责人

	r.POST("order/make/end", hdl.NewOrderMakeEnd)                       //订单制作完成
	r.POST("order/baking/end", hdl.NewOrderBakingEnd)                   //订单烘焙完成
	r.POST("order/sorting/end", hdl.NewOrderSortingEnd)                 //订单分拣完成
	r.POST("order/sorting/end/by_order", hdl.NewOrderSortingEndByOrder) //按主订单分拣完成
	r.POST("order/goods/sorting_list", hdl.SortingOrderGoods)           //订单商品

}
